com.marklogic.xcc.exceptions

## Class RequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.marklogic.xcc.exceptions.XccException
      - - com.marklogic.xcc.exceptions.RequestException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    PDCloudRequestException, RequestPermissionException, RequestServerException, ServerConnectionException

      public class RequestException
      extends XccException

  The base class for exceptions related to submitting requests to the server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestException(java.lang.String message, Request request)`
    `RequestException(java.lang.String message, Request request, boolean isRetryable)`
    `RequestException(java.lang.String message, Request request, java.lang.Throwable cause)`
    `RequestException(java.lang.String message, Request request, java.lang.Throwable cause, boolean isRetryable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendRequestInfo(java.lang.StringBuffer sb)`
    `Request` | `getRequest()` The initiating request to which this exception applies.
    `boolean` | `isRetryable()`
    `boolean` | `isRetryAdvised()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestException

          public RequestException(java.lang.String message,
                                  Request request)

    - #### RequestException

          public RequestException(java.lang.String message,
                                  Request request,
                                  java.lang.Throwable cause)

    - #### RequestException

          public RequestException(java.lang.String message,
                                  Request request,
                                  boolean isRetryable)

    - #### RequestException

          public RequestException(java.lang.String message,
                                  Request request,
                                  java.lang.Throwable cause,
                                  boolean isRetryable)

  - ### Method Detail

    - #### getRequest

          public Request getRequest()

      The initiating request to which this exception applies.
      Returns:
        An instance of `Request`.

    - #### isRetryable

          public boolean isRetryable()

    - #### isRetryAdvised

          public boolean isRetryAdvised()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### appendRequestInfo

          protected void appendRequestInfo(java.lang.StringBuffer sb)

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com